Page MenuHomePhabricator

Apply Schema:Edit instrumentation to WikiEditor
Closed, ResolvedPublic8 Story Points

Event Timeline

Jdforrester-WMF assigned this task to Krenair.
Jdforrester-WMF raised the priority of this task from to High.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 11:47 PM
TrevorParscal edited a custom field.
gerritbot added a subscriber: gerritbot.

Change 189049 had a related patch set uploaded (by Alex Monk):
Add a hook run after EditPage::attemptSave for WikiEditor

https://gerrit.wikimedia.org/r/189049

Patch-For-Review

Change 190607 had a related patch set uploaded (by Alex Monk):
Fix hook situation for Skin::doEditSectionLink

https://gerrit.wikimedia.org/r/190607

Patch-For-Review

Change 191221 had a related patch set uploaded (by Alex Monk):
[WIP] Schema:Edit instrumentation

https://gerrit.wikimedia.org/r/191221

Patch-For-Review

Krenair added subscribers: Milimetric, Nuria.

TODO:

  • I should figure out what we can do about action.abort.type
  • Deal with the action.saveFailure.type schema issues ( Analytics )
  • Review my WikiEditor commit and its dependencies ( MediaWiki-Core-Team, #Editing )

Change 190607 merged by jenkins-bot:
Fix hook situation for Skin::doEditSectionLink

https://gerrit.wikimedia.org/r/190607

Change 191658 had a related patch set uploaded (by Alex Monk):
Use new SkinEditSectionLinks hook instead of DoEditSectionLink

https://gerrit.wikimedia.org/r/191658

Patch-For-Review

Change 189049 merged by jenkins-bot:
Add a hook run after EditPage::attemptSave for WikiEditor

https://gerrit.wikimedia.org/r/189049

Change 191221 had a related patch set uploaded (by Alex Monk):
[WIP] Schema:Edit instrumentation
https://gerrit.wikimedia.org/r/191221
Patch-For-Review

Okay, this is now no longer WIP and ready for review. It should do everything that Analytics needs to get useful data.

Change 191221 merged by jenkins-bot:
Schema:Edit instrumentation

https://gerrit.wikimedia.org/r/191221

Jdforrester-WMF closed this task as Resolved.Mar 10 2015, 3:47 PM
Jdforrester-WMF moved this task from Accepted to Done on the VisualEditor 2014/15 Q3 blockers board.
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Mar 10 2015, 4:15 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Mar 16 2015, 9:10 PM
TheDJ added a subscriber: TheDJ.Mar 21 2015, 9:26 AM

These changes are somehow causing: T93384

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:54 AM